Package org.eclipse.microprofile.lra.tck.participant.api

# Enum Scenario

java.lang.Object
java.lang.Enum<Scenario>
org.eclipse.microprofile.lra.tck.participant.api.Scenario

All Implemented Interfaces:
  `Serializable`, `Comparable<Scenario>`

public enum Scenario extends Enum<Scenario>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPENSATE_IMMEDIATE`
`COMPENSATE_RETRY`
`COMPLETE_IMMEDIATE`
`COMPLETE_RETRY`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPathResponseCode()`
`static Scenario`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Scenario[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMPENSATE_IMMEDIATE

public static final Scenario COMPENSATE_IMMEDIATE

### COMPENSATE_RETRY

public static final Scenario COMPENSATE_RETRY

### COMPLETE_IMMEDIATE

public static final Scenario COMPLETE_IMMEDIATE

### COMPLETE_RETRY

public static final Scenario COMPLETE_RETRY

## Method Details

### values

public static Scenario[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Scenario valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPathResponseCode

public int getPathResponseCode()